Bug 97163 - [maintainer update] ruby-mp3info
Summary: [maintainer update] ruby-mp3info
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Pav Lucistnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-05-12 06:30 UTC by brad walker
Modified: 2013-03-17 04:25 UTC (History)
0 users

See Also:


Attachments
rubygem-mp3info.diff (7.57 KB, patch)
2006-05-12 06:30 UTC, brad walker
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description brad walker 2006-05-12 06:30:15 UTC
audio/ruby-mp3info is broken on my system
ruby-mp3info-0.5 has been available for months, ports still has v0.3
i created new port 'audio/rubygem-mp3info' for ruby-mp3info-0.5

patch updates 'ruby-mp3info' (ruby-mp3info-0.3) to (ruby-mp3info-0.5.gem)
rename patched 'ruby-mp3info' to 'rubygem-mp3info'

note: ruby-mp3info-0.5.gem installs 'ruby-mp3info-0.5'
      a gem that installs 'mp3info-0.5' would be preferable
      DISTNAME in Makefile could be removed, lines in pkg-plist would improve

      a way to set GEM_NAME to 'mp3info-0.5' might work
      compare pkg-plist lines using different GEM_NAME
             GEM_NAME = 'ruby-mp3info-0.5'            GEM_NAME = 'mp3info-0.5'              
        i.e. "%%CACHE_DIR%%/ruby-%%GEM_NAME%%.gem" -> "%%GEM_CACHE%%"
Comment 1 Pav Lucistnik freebsd_committer 2006-05-15 13:37:48 UTC
State Changed
From-To: open->repocopy

To copy audio/ruby-mp3info -> audio/rubygem-mp3info 


Comment 2 Pav Lucistnik freebsd_committer 2006-05-15 13:37:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->portmgr

To copy audio/ruby-mp3info -> audio/rubygem-mp3info
Comment 3 Joe Marcus Clarke freebsd_committer 2006-05-15 18:58:00 UTC
State Changed
From-To: repocopy->open

Repocopy completed. 


Comment 4 Joe Marcus Clarke freebsd_committer 2006-05-15 18:58:00 UTC
Responsible Changed
From-To: portmgr->pav

Repocopy completed.
Comment 5 Pav Lucistnik freebsd_committer 2006-05-15 20:01:16 UTC
State Changed
From-To: open->closed

Committed, thanks!